import React, {Component} from "react";
import TraineetraininginformationModal from './TraineetraininginformationModal';
import ModulationModal from "../coursesPublic/ModulationModal";
import HomeworkModal from "../coursesPublic/HomeworkModal";
import {
	Form,
	Select,
	Input,
	Button,
	Checkbox,
	Upload,
	Icon,
	message,
	Modal,
	Table,
	Pagination,
	Radio,
	Tooltip,
	notification
} from "antd";
import {Link, Switch, Route, Redirect} from 'react-router-dom';
import locale from 'antd/lib/date-picker/locale/zh_CN';
import axios from 'axios';
import Modals from '../../modals/Modals';
import Associationmodel from '../coursesPublic/Associationmodel';
import '../css/members.css'
import '../css/busyWork.css'
import '../poll/pollStyle.css'
import './style.css';
import moment from 'moment';
import 'moment/locale/zh-cn';
import {getImageUrl, toPath} from 'educoder';
import ShixunWorkModal from './Shixunworkdetails/ShixunWorkModal';
const Search = Input.Search;
const RadioGroup = Radio.Group;
const CheckboxGroup = Checkbox.Group;
const {Option} = Select;

//GraduationTaskssetting.js
//教师作品页面

//作品列表(教师)
class Listofworks extends Component {
	//unifiedsetting 统一设置
	//allowreplenishment 允许补交
	//completionefficiencyscore 完成效率评分占比
	//level级别
	//proportion 比例
	constructor(props) {
		super(props);
		// console.log(JSON.stringify(props));
		// course_group_info  老师身份显示的分班情况
		//task_status 老师身份显示的提交情况
		//要提交的作品状态checkedValuesine
		//要提交的分班状态checkedValuesineinfo
		//searchtext 输入的姓名和学号
		//order 排序时间
		this.state = {
			props: props,
			data: [],
			page: 1,
			computeTimetype:true,
			limit: 20,
			loadingstate: true,
			orders: "update_time",
			b_order:"desc",
			search: null,
			allow_late:false,
			task_status: [],
			course_group_info: [],
			teacherdata: undefined,
			checkedValuesine: undefined,
			checkedValuesineinfo: [],
			work_efficiency: false,
			resultint: 0,
			teacherlist: undefined,
			searchtext: "",
			course_groupysls: undefined,
			course_groupyslstwo: [],
			visible: false,
			userid: 0,
			course_group: null,
			visibles: false,
			userids: 0,
			viewtrainingdata: {},
			publish_immediately: undefined,
			end_immediately: undefined,
			mystyle: {"display": "block", "color": '#07111B', "text-align": "center"},
			mystyles: {"display": "none", "color": '#07111B', "text-align": "center"},
			mystyle1: {"display": "block"},
			mystyles1: {"display": "none"},
			unlimited: 0,
			unlimitedtwo: 1,
			code_review: false,
			boolgalist:true,
			challenges_count:0,
			experience:0,
			columns: [
				{
					title: '序号',
					dataIndex: 'number',
					key: 'number',
					align: 'center',
					className:'font-14',
					render: (text, record) => (
						<span style={{"color": '#07111B', "text-align": "center"}}>{record.number}
        </span>
					)
				},
				{
					title: '姓名',
					dataIndex: 'name',
					key: 'name',
					align: 'center',
					className:'font-14',
					width:'120px',
					render: (text, record) => (
						<span style={{"color": '#07111B', "text-align": "center"}}>{record.name}</span>
					)
				},
				{
					title: '学号',
					dataIndex: 'stduynumber',
					key: 'stduynumber',
					align: 'center',
					className:'font-14',
					render: (text, record) => (
						<span style={{
							"color": '#9A9A9A',
							"text-align": "center"
						}}>{record.stduynumber === undefined ? "--" : record.stduynumber === null ? "--" : record.stduynumber === "" ? "--" : record.stduynumber}
        </span>
					),
				},
				{
					title: '分班',
					key: 'classroom',
					dataIndex: 'classroom',
					align: 'center',
					className:'font-14',
					render: (text, record) => (
						<span style={{"color": '#07111B', "text-align": "center"}}>{record.classroom}</span>
					)
				},
				{
					title: '提交状态',
					dataIndex: 'submitstate',
					key: 'submitstate',
					align: 'center',
					className:'font-14',
					render: (text, record) => (
						<span style={record.submitstate === "延时提交" ? {
							"color": '#DD1717',
							"text-align": "center"
						} : record.submitstate === "按时提交" ? {"color": '#29BD8B', "text-align": "center"} : {
							"color": '#747A7F',
							"text-align": "center"
						}}>{record.submitstate}
        </span>
					)

				},
				{
					title: '实战耗时',
					dataIndex: 'cost_time',
					key: 'cost_time',
					align: 'center',
					className:'font-14',
					render: (text, record) => (
						<span style={
							{
								"color": '#747A7F',
								"text-align": "center"
							}
						}>{record.cost_time === null ? "--":record.cost_time === undefined ?"--":record.cost_time }
        </span>
					)

				},
				{
					title: '更新时间',
					dataIndex: 'updatetime',
					key: 'updatetime',
					align: 'center',
					className:'font-14',
					render: (text, record) => (
						<span style={{"color": '#9A9A9A', "text-align": "center"}}>{record.updatetime}</span>
					),
				},
				{
					title: '完成情况',
					dataIndex: 'completion',
					key: 'completion',
					align: 'center',
					className:'font-14',
					render: (text, record) => (
						<span>

										<Tooltip  placement="bottom" title={<div>
											<div>已通过{record.completion}关，共{this.state.challenges_count}关</div>
										</div>}>
											<span style={{"color": '#07111B', "text-align": "center"}}>{record.completion+"/"+this.state.challenges_count} </span>
										</Tooltip>

        </span>
					)
				},
				{
					title: '关卡得分',
					dataIndex: 'levelscore',
					key: 'levelscore',
					align: 'center',
					className:'font-14',
					render: (text, record) => (
						<span>
       	<span style={parseInt(record.levelscore) <= 60 ? {
					"color": '#747A7F',
					"text-align": "center"
				} : parseInt(record.levelscore) < 90 ? {
					"color": '#FF6800',
					"text-align": "center"
				} : parseInt(record.levelscore) >= 90 ? {"color": '#DD1717', "text-align": "center"} : {
					"color": '#747A7F',
					"text-align": "center"
				}}>{record.levelscore}</span>
        </span>
					)
				},
				{
					title: '效率分',
					dataIndex: 'efficiencyscore',
					key: 'efficiencyscore',
					align: 'center',
					className:'font-14',
					render: (text, record) => (
						<span>
            {
							record.efficiencyscore&& record.efficiencyscore=== "--"?(
									this.state.allow_late&&this.state.allow_late===false?
										<Tooltip placement="bottom" title={<div>
											<div>作业截止时，系统根据学生在课堂成员中的效率表现自动评分</div>
										</div>}>
											<span style={{color:"#9A9A9A"}}>
												--
											</span>
										</Tooltip>
										:
										this.state.allow_late&&this.state.allow_late===true?
											<Tooltip placement="bottom" title={<div>
												<div>补交结束时，系统根据学生在课堂成员中的效率表现自动评分</div>
											</div>}>
												<span style={{color:"#9A9A9A"}}>
													--
												</span>
											</Tooltip>
											:
											<span style={{color:"#9A9A9A"}}>
												--
											</span>
								)
								:
								<span style={parseInt(record.efficiencyscore) <= 60 ? {
									"color": '#747A7F',
									"text-align": "center"
								} : parseInt(record.efficiencyscore) < 90 ? {
									"color": '#FF6800',
									"text-align": "center"
								} : parseInt(record.efficiencyscore) >= 90 ? {
									"color": '#DD1717',
									"text-align": "center"
								} : {"color": '#747A7F', "text-align": "center"}}>{record.efficiencyscore}</span>
						}

        </span>
					)
				},
				{
					title: '最终成绩',
					dataIndex: 'finalscore',
					key: 'finalscore',
					align: 'center',
					className:'font-14',
					render: (text, record) => (
						<span>
									{
										record.ultimate_score=== true?
											<Tooltip placement="bottom" title={<div>
												<div>{record.user_name}{record.user_login}</div>
												<div>{record.finalscore === "--"?<span>最终调整成绩：0分</span> :<span>最终调整成绩：{record.finalscore}分</span>}</div>
											</div>}>
												{
													record.finalscore&&record.finalscore==="--"?
														<span style=
																		{{
																			"color": '#9A9A9A',
																			"text-align": "center"
																		}}>{record.finalscore}</span>
														:
														<span style={parseInt(record.finalscore) <= 60 ? {
															"color": '#747A7F',
															"text-align": "center"
														} : parseInt(record.finalscore) < 90 ? {
															"color": '#FF6800',
															"text-align": "center"
														} : parseInt(record.finalscore) >= 90 ? {"color": '#DD1717', "text-align": "center"} : {
															"color": '#747A7F',
															"text-align": "center"
														}}>{record.finalscore}</span>
												}
											</Tooltip>
											:
											<Tooltip placement="bottom" title={<div>
												<div>{record.user_name}{record.user_login}</div>
												<div>{record.levelscore === "--"?<span>关卡得分：0分</span> :<span>关卡得分：{record.levelscore}分</span>}</div>
												<div>{record.efficiencyscore === "--"?<span>效率评分：0分</span> :<span>效率评分：{record.efficiencyscore}分</span>}</div>
												<div>{record.late_penalty === "--"?<span>迟交扣分：0分</span> :<span>迟交扣分：{record.late_penalty}分</span>}</div>
												<div>{record.finalscore === "--"?<span>最终成绩：0分</span> :<span>最终成绩：{record.finalscore}分</span>}</div>
											</div>}>
												{
													record.finalscore&&record.finalscore==="--"?
														<span style=
																		{{
																			"color": '#9A9A9A',
																			"text-align": "center"
																		}}>{record.finalscore}</span>
														:
														<span style={parseInt(record.finalscore) <= 60 ? {
															"color": '#747A7F',
															"text-align": "center"
														} : parseInt(record.finalscore) < 90 ? {
															"color": '#FF6800',
															"text-align": "center"
														} : parseInt(record.finalscore) >= 90 ? {"color": '#DD1717', "text-align": "center"} : {
															"color": '#747A7F',
															"text-align": "center"
														}}>{record.finalscore}</span>
												}
											</Tooltip>

									}
               </span>
					)
				},
				{
					title: '操作',
					dataIndex: 'operating',
					key: 'operating',
					display: 'block',
					align: 'center',
					className:'font-14',
					render: (text, record) => (
						record.submitstate === "未提交" ? <span style={{	color: '#9A9A9A'}}>--</span> :
							<span>
                       <a style={{"text-align": "center"}} className="color-blue"
													onClick={() => this.Viewstudenttraininginformationt(record)}>{record.operating}</a>
        </span>
					)
				},
			],
			columnss: [
				{
					title: '序号',
					dataIndex: 'number',
					key: 'number',
					align: 'center',
					className:'font-14',
					render: (text, record) => (
						<span style={{"color": '#07111B', "text-align": "center"}}>{record.number}
        </span>
					)
				},
				{
					title: '姓名',
					dataIndex: 'name',
					key: 'name',
					align: 'center',
					className:'font-14',
					width:'120px',
					render: (text, record) => (
						<span style={{"color": '#07111B', "text-align": "center"}}>{record.name}</span>
					)
				},
				{
					title: '学号',
					dataIndex: 'stduynumber',
					key: 'stduynumber',
					align: 'center',
					className:'font-14',
					render: (text, record) => (
						<span style={{
							"color": '#9A9A9A',
							"text-align": "center"
						}}>{record.stduynumber === undefined ? "--" : record.stduynumber === null ? "--" : record.stduynumber === "" ? "--" : record.stduynumber}
        </span>
					),
				},
				{
					title: '分班',
					key: 'classroom',
					dataIndex: 'classroom',
					align: 'center',
					className:'font-14',
					render: (text, record) => (
						<span style={{"color": '#07111B', "text-align": "center"}}>{record.classroom}</span>
					)
				},
				{
					title: '提交状态',
					dataIndex: 'submitstate',
					key: 'submitstate',
					align: 'center',
					className:'font-14',
					render: (text, record) => (
						<span style={record.submitstate === "延时提交" ? {
							"color": '#DD1717',
							"text-align": "center"
						} : record.submitstate === "按时提交" ? {"color": '#29BD8B', "text-align": "center"} : {
							"color": '#747A7F',
							"text-align": "center"
						}}>{record.submitstate}
        </span>
					)

				},
				{
					title: '更新时间',
					dataIndex: 'updatetime',
					key: 'updatetime',
					align: 'center',
					className:'font-14',
					render: (text, record) => (
						<span style={{"color": '#9A9A9A', "text-align": "center"}}>{record.updatetime}</span>
					),
				},
				{
					title: '实战耗时',
					dataIndex: 'cost_time',
					key: 'cost_time',
					align: 'center',
					className:'font-14',
					render: (text, record) => (
						<span style={
							{
								"color": '#747A7F',
								"text-align": "center"
							}
						}>{record.cost_time === null ? "--":record.cost_time === undefined ?"--":record.cost_time }
        </span>
					)

				},
				{
					title: '完成情况',
					dataIndex: 'completion',
					key: 'completion',
					align: 'center',
					className:'font-14',
					render: (text, record) => (
						<span>

										<Tooltip  placement="bottom" title={<div>
											<div>已通过{record.completion}关，共{this.state.challenges_count}关</div>
										</div>}>
											<span style={{"color": '#07111B', "text-align": "center"}}>{record.completion+"/"+this.state.challenges_count} </span>
										</Tooltip>

        </span>
					)
				},
				{
					title: '关卡得分',
					dataIndex: 'levelscore',
					key: 'levelscore',
					align: 'center',
					className:'font-14',
					render: (text, record) => (
						<span>
       	<span style={parseInt(record.levelscore) <= 60 ? {
					"color": '#747A7F',
					"text-align": "center"
				} : parseInt(record.levelscore) < 90 ? {
					"color": '#FF6800',
					"text-align": "center"
				} : parseInt(record.levelscore) >= 90 ? {"color": '#DD1717', "text-align": "center"} : {
					"color": '#747A7F',
					"text-align": "center"
				}}>{record.levelscore}</span>
        </span>
					)
				},
				{
					title: '效率分',
					dataIndex: 'efficiencyscore',
					key: 'efficiencyscore',
					align: 'center',
					className:'font-14',
					render: (text, record) => (
						<span>
            {
							record.efficiencyscore&& record.efficiencyscore=== "--"?(
									this.state.allow_late&&this.state.allow_late===false?
										<Tooltip placement="bottom" title={<div>
											<div>作业截止时，系统根据学生在课堂成员中的效率表现自动评分</div>
										</div>}>
											<span style={{color:"#9A9A9A"}}>
												--
											</span>
										</Tooltip>
										:
										this.state.allow_late&&this.state.allow_late===true?
											<Tooltip placement="bottom" title={<div>
												<div>补交结束时，系统根据学生在课堂成员中的效率表现自动评分</div>
											</div>}>
												<span style={{color:"#9A9A9A"}}>
													--
												</span>
											</Tooltip>
											:
											<span style={{color:"#9A9A9A"}}>
												--
											</span>
								)
								:
								<span style={parseInt(record.efficiencyscore) <= 60 ? {
									"color": '#747A7F',
									"text-align": "center"
								} : parseInt(record.efficiencyscore) < 90 ? {
									"color": '#FF6800',
									"text-align": "center"
								} : parseInt(record.efficiencyscore) >= 90 ? {
									"color": '#DD1717',
									"text-align": "center"
								} : {"color": '#747A7F', "text-align": "center"}}>{record.efficiencyscore}</span>
						}

        </span>
					)
				},
				{
					title: '最终成绩',
					dataIndex: 'finalscore',
					key: 'finalscore',
					align: 'center',
					className:'font-14',
					render: (text, record) => (
						<span>
									{
										record.ultimate_score=== true?
											<Tooltip placement="bottom" title={<div>
												<div>{record.user_name}{record.user_login}</div>
												<div>{record.finalscore === "--"?<span>最终调整成绩：0分</span> :<span>最终调整成绩：{record.finalscore}分</span>}</div>
											</div>}>
												{
													record.finalscore&&record.finalscore==="--"?
														<span style=
																		{{
																			"color": '#9A9A9A',
																			"text-align": "center"
																		}}>{record.finalscore}</span>
														:
														<span style={parseInt(record.finalscore) <= 60 ? {
															"color": '#747A7F',
															"text-align": "center"
														} : parseInt(record.finalscore) < 90 ? {
															"color": '#FF6800',
															"text-align": "center"
														} : parseInt(record.finalscore) >= 90 ? {"color": '#DD1717', "text-align": "center"} : {
															"color": '#747A7F',
															"text-align": "center"
														}}>{record.finalscore}</span>
												}
											</Tooltip>
											:
											<Tooltip placement="bottom" title={<div>
												<div>{record.user_name}{record.user_login}</div>
												<div>{record.levelscore === "--"?<span>关卡得分：0分</span> :<span>关卡得分：{record.levelscore}分</span>}</div>
												<div>{record.efficiencyscore === "--"?<span>效率评分：0分</span> :<span>效率评分：{record.efficiencyscore}分</span>}</div>
												<div>{record.late_penalty === "--"?<span>迟交扣分：0分</span> :<span>迟交扣分：{record.late_penalty}分</span>}</div>
												<div>{record.finalscore === "--"?<span>最终成绩：0分</span> :<span>最终成绩：{record.finalscore}分</span>}</div>
											</div>}>
												{
													record.finalscore&&record.finalscore==="--"?
														<span style=
																		{{
																			"color": '#9A9A9A',
																			"text-align": "center"
																		}}>{record.finalscore}</span>
														:
														<span style={parseInt(record.finalscore) <= 60 ? {
															"color": '#747A7F',
															"text-align": "center"
														} : parseInt(record.finalscore) < 90 ? {
															"color": '#FF6800',
															"text-align": "center"
														} : parseInt(record.finalscore) >= 90 ? {"color": '#DD1717', "text-align": "center"} : {
															"color": '#747A7F',
															"text-align": "center"
														}}>{record.finalscore}</span>
												}
											</Tooltip>

									}
               </span>
					)
				},
				{
					title: '操作',
					dataIndex: 'operating',
					key: 'operating',
					display: 'block',
					align: 'center',
					className:'font-14',
					render: (text, record) => (
						record.submitstate === "未提交" ? <span style={{	color: '#9A9A9A'}}>--</span> :
							<span>
                       <a style={{"text-align": "center"}} className="color-blue"
													onClick={() => this.Viewstudenttraininginformationt(record)}>{record.operating}</a>
        </span>
					)
				},
			],


		}

	}

	componentDidMount() {
		console.log("Listofworks");
		console.log("componentDidMount");
		this.tearchar();

	}


	render() {
		// console.log("Listofworks.js000")

		let {columns,computeTimetype, page, boolgalist,limit,experience,course_groupysls, course_groupyslstwo, unlimited, unlimitedtwo, loadingstate, viewtrainingdata, game_list, data, course_group_info, orders, teacherdata, task_status, checkedValuesine, searchtext, teacherlist, visible, visibles, jobsettingsdata} = this.state;
		//
		// console.log(teacherdata&&teacherdata.shixun_identifier)
		// console.log(this.props.teacherdata&&this.props.teacherdata.publish_immediately)
		// console.log(JSON.stringify(this.props));
		return (
			<div className=" clearfix " style={{margin:  "auto" , minWidth:"1200px"}}>
				{visible === true ? <ModulationModal
					visible={visible}
					Cancel={this.cancelModulationModel}
					Saves={(value, num) => this.saveModulationModal(value, num)}
				/> : ""}

				{this.state.showmodel === true ? <ShixunWorkModal
					{...this.props}
					visible={this.state.showmodel}
					modalname={"代码查重"}
					data={[]}
					issCancel={() => this.hideshowmodel()}
					updatas={() => this.isupdatas()}
				/> : ""}


				{visibles === true ?
					<div>
						<style>
							{
								`
              body {
							 overflow: hidden !important;
						 }
              `
							}
						</style>
						<TraineetraininginformationModal
							{...this.props} {...this.state}
							homeworkid={this.props.match.params.homeworkid}
							coursesId={this.props.match.params.coursesId}
							workid={teacherdata.id}
							isAdmins={this.props.isAdmin()}
							userids={this.state.userids}
							viewtrainingdata={viewtrainingdata}
							game_list={game_list}
							visible={visibles}
							experience={experience}
							boolgalist={boolgalist}
							Cancel={() => this.cancelModulationModels()}
						/>

					</div>
					: ""
				}

				{/*立即发布*/}
				<HomeworkModal
					modaltype={this.state.modaltype}
					modalname={this.state.modalname}
					visible={this.state.svisible}
					Topval={this.state.Topval}
					Topvalright={this.state.Topvalright}
					Botvalleft={this.state.Botvalleft}
					Botval={this.state.Botval}
					starttime={this.state.starttime}
					endtime={this.state.endtime}
					Cancelname={this.state.Cancelname}
					Savesname={this.state.Savesname}
					Cancel={this.state.Cancel}
					Saves={this.state.Saves}
					course_groups={this.state.course_groups}
					getcourse_groupslist={(id) => this.getcourse_groupslist(id)}
					starttimes={this.state.starttimes}
					typs={this.state.typs}
				/>
				<div className={"educontent "}>


					<div className="edu-back-white">


						<style>
							{`
							.startbox{
					    height: 48px;
					    background: rgba(255,104,0,0.1);
					    line-height: 48px;

					    text-align: center;
							}

							.startfont{
							 font-size:14px;
							font-family:MicrosoftYaHei;
							font-weight:400;
							color:rgba(255,104,0,1);
							}

							.computeTime{
								width: 73px;
								height: 24px;
								display: inline-block;
								padding: 5px;
								text-align: center;
								line-height: 13px;
								color: #4CACFF;
								border: 1px solid #4CACFF;
							  cursor: pointer;
							}

							.computeTimes{
							  width: 73px;
								height: 24px;
								display: inline-block;
								padding: 5px;
								text-align: center;
								line-height: 13px;
								color: #C5C5C5;
								border: 1px solid #EDEDED;
								background:#EDEDED;
							  cursor: pointer;
							}

							`}
						</style>
						{computeTimetype===false?<li className="clearfix startbox">
							<span className={"startfont"}>
				         	正在执行成绩计算，请稍后刷新页面查看结果
								  温馨提示：执行时间因作品数量而异
							</span>
						</li>:""}

						{/*作品状态GraduationTaskssettinglist*/}
						<ul className="clearfix" style={{padding: '20px 15px 10px 20px'}}>
							<li className="clearfix ">
								<span className="fl  mr10 color-grey-6 ">计算成绩时间：{teacherdata&&teacherdata.calculation_time==null?"--":	moment(teacherdata&&teacherdata.calculation_time).format('YYYY-MM-DD HH:mm')}</span>
								<span>
									{teacherdata&&teacherdata.publish_immediately===false&&computeTimetype===true?<div className={"computeTime font-13"} onClick={this.setComputeTime}>
												计算成绩
									</div>:
										<div >
										{teacherdata&&teacherdata.homework_status[0]=== "未发布"? "":
											<div className={"computeTimes font-13"}>
												计算成绩
											</div>
											}
										</div>}
						  	</span>

								<div className="fr mr5 search-newysl" style={{marginBottom: '1px'}}>
									<Search
										placeholder="请输入姓名或学号搜索"
										id="subject_search_input"
										autoComplete="off"
										value={searchtext}
										onKeyUp={(e) => this.onSearchKeywordKeyUpt(e)}
										onInput={this.inputSearchValuest}
										onSearch={this.searchValuest}
									></Search>
								</div>
							</li>

							<li className="clearfix mt10">

								<span className="fl  mr10 color-grey-8 ">作品状态：</span>
								<span className="fl "><a id="graduation_comment_no_limit"
																				 className={unlimited === 0 ? "pl10 pr10 mr20 check_on" : "pl10 pr10 mr20 "}
																				 onClick={() => this.notlimiteds()}>不限</a></span>
								<CheckboxGroup value={course_groupyslstwo}
															 onChange={(e) => this.funtaskstatust(e, task_status && task_status)}
															 style={{paddingTop: '4px'}}>

									{task_status === undefined ? "" : task_status.map((item, key) => {
										return (
											<span key={key}>
                                <Checkbox value={item.id}
																					className="fl ">{item.name}
																	<span>({item.count})</span>
                                </Checkbox>

                            </span>
										)
									})}
								</CheckboxGroup>
								{/*请输入姓名或学号搜索*/}


							</li>


							{/*分班情况*/}

							<li className="clearfix  mt10 ">
								{JSON.stringify(course_group_info) === "[]" ? "" : course_group_info === undefined ? "" : course_group_info.length < 2 ? "" :
									<div>
										<span className="fl mr10 color-grey-8">分班情况：</span>
										<span className="fl "><a id="graduation_comment_no_limit"
																						 className={unlimitedtwo === 0 ? "pl10 pr10 mr20 " : "pl10 pr10 mr20 check_on"}
																						 onClick={() => this.notlimitedst()}>不限</a></span>
										<CheckboxGroup  value={course_groupysls}
																		onChange={(e) => this.funtaskstatustwot(e, course_group_info && course_group_info)}
																		style={{paddingTop: '4px',width:'1017px'}}>
											{course_group_info === undefined ? "" :
												course_group_info.map((item, key) => {
													return (
														<span key={key}>
                                <Checkbox value={item.course_group_id}
																					className="fl ">{item.group_group_name}
																	<span>({item.count})</span>
                                            </Checkbox>
                            </span>
													)
												})
											}
										</CheckboxGroup>
									</div>}
							</li>

						</ul>


						<div id="graduation_work_list" style={{padding: '0px 20px 10px 20px'}}>

							<div className="clearfix">
                                <span className="fl color-grey-6 font-12"><span
																	className="color-orange-tip">{teacherdata === undefined ? "" : teacherdata.student_works.length}</span>个检索结果（{teacherdata === undefined ? "" : teacherdata.all_member_count}学生） </span>
								<style>
									{
										`
										.edu-position-hide li a:hover {
										  background: #F0F0F0;
										}
										`
									}
								</style>
								<div className="fr  edu-menu-panel">
									<ul>
										<li className="edu-position edu-position-hidebox">
											<a className="font-12">
												{orders === "update_time" ? "时间" : orders === "work_score" ? "成绩" : orders === "student_id" ? "学号" : ""}排序</a>
											<i className="iconfont icon-xiajiantou ml5 font-12 "></i>
											<ul className="edu-position-hide undis mt10">
												<li> <a  onClick={(e) => this.funordert("update_time")} data-remote="true" className=" font-12" style={{"text-align": "center "}}>更新时间</a></li>
												<li> <a  onClick={(e) => this.funordert("work_score")} data-remote="true" className=" font-12" style={{"text-align": "center "}}>最终成绩</a></li>
												<li> <a  onClick={(e) => this.funordert("student_id")} data-remote="true" className=" font-12" style={{"text-align": "center "}}>学生学号</a></li>
											</ul>
										</li>
									</ul>
								</div>


							</div>

						</div>
						{
							JSON.stringify(data) === "[]" ?

								<div id="forum_list" className="forum_table">
									<div className="mh650 edu-back-white">
										<div className="edu-tab-con-box clearfix edu-txt-center">
											<img className="edu-nodata-img mb20" src={getImageUrl("images/educoder/nodata.png")}/>
											<p className="edu-nodata-p mb30">没有数据可以显示！</p>
										</div>
									</div>

								</div>
								:

								<div className={"justify break_full_word new_li edu-back-white"} style={{minHeight: "480px"}}>
									<style>{`
              	          .ant-spin-nested-loading > div > .ant-spin .ant-spin-dot {
																			top: 72%;}
						                }
						                .edu-table thead th,.edu-table tbody tr:last-child td{
															border-bottom: none!important;
															height: 85px;
														}
														.ant-tables .ant-table-tbody > tr > td {
														height: 85px;
															}
						              `}</style>
									<div className="edu-table edu-back-white ant-tables">
										{data === undefined ? "" : <Table
											dataSource={data}
											columns={columns}
											pagination={false}
											loading={loadingstate}
										/>}
									</div>
								</div>
						}


					</div>
					{
						teacherdata && teacherdata.work_count && teacherdata.work_count > limit ?
							<div className="edu-txt-center mt30 mb20">
								<Pagination showQuickJumper current={page}
														onChange={this.paginationonChanges} pageSize={limit}
														total={teacherdata.work_count}></Pagination>
							</div>
							: ""
					}
				</div>

			</div>

		)
	}
}

export default Listofworks;

{/*<div className="educontent mb20">*/}
{/*	<p className="clearfix mb20 mt10">*/}
{/*		<ActionBtn className=" btn colorgrey fl hovercolorblue "*/}
{/*							 to={`/courses/${this.props.match.params.coursesId}/students`}>{jobsettingsdata === undefined ? "" : jobsettingsdata.data.course_name}</ActionBtn>*/}
{/*		<span className="color-grey-9 fl ml3 mr3">&gt;</span>*/}
{/*		<ActionBtn*/}
{/*			className=" btn colorgrey fl hovercolorblue "*/}
{/*			to={`/courses/${this.props.match.params.coursesId}/${this.state.shixuntypes}/${jobsettingsdata === undefined ? "" : jobsettingsdata.data.category.category_id===undefined?"":jobsettingsdata.data.category.category_id}`}>{jobsettingsdata === undefined ? "" : jobsettingsdata.data.category.category_name}</ActionBtn>*/}
{/*		<span className="color-grey-9 fl ml3 mr3">&gt;</span>*/}
{/*		<WordsBtn className="fl">作业详情</WordsBtn>*/}
{/*	</p>*/}
{/*</div>*/}
{/*<div className="educontent mb20">*/}
{/*	<p className=" fl color-black  summaryname" style={{heigth:"33px"}}>*/}
{/*{teacherdata === undefined ? "" : teacherdata.homework_name}*/}
{/*</p>*/}
{/*<CoursesListType*/}
{/*typelist={teacherdata === undefined ? [""] : teacherdata.homework_status}*/}
{/*/>*/}
{/*<a className="color-grey-9 fr font-16  summaryname  ml20 mr20"*/}
{/*href={`/courses/${this.state.props.match.params.coursesId}/${this.state.shixuntypes}/${jobsettingsdata === undefined ? ""  : jobsettingsdata.data.category.category_id===undefined?"": jobsettingsdata.data.category.category_id}`}>返回</a>*/}
{/*<a className="color-grey-9 fr font-16 mr20"*/}
{/*href={`/shixuns/${teacherdata === undefined ? "" : teacherdata.shixun_identifier}/challenges`}*/}
{/*target={"_blank"}>实训详情</a>*/}


{/*</div>*/}
// <div className="stud-class-set bor-bottom-greyE ">
// 	<div className=" clearfix edu-back-white poll_list">
// 		<a className="active" onClick={(e)=>this.ChangeTab(0)}>作品列表</a>
// 		<a onClick={(e)=>this.ChangeTab(1)}>作业问答</a>
// 		{this.props.isAdmin() ?
// 			this.state.code_review === true ||jobsettingsdata === undefined ? [""] : jobsettingsdata.data.homework_status[0]==="未发布"? "" : <a
// 				// to={`/courses/${this.state.props.match.params.coursesId}/${this.state.props.match.params.homeworkid}/student_work`}
// 				onClick={(e)=>this.ChangeTab(2)}>
// 				代码查重</a> : ""}
// 		<a
// 			onClick={(e)=>this.ChangeTab(3)}
// 		>设置</a>
// 		{/*{this.props.isAdmin() ? <a*/}
// 		{/*	className="fr color-blue font-16"*/}
// 		{/*	href={`/api/homework_commons/${this.props.match.params.coursesId}/works_list.xlsx`}*/}
// 		{/*>导出</a> : ""}*/}
// 		<style>{`
//                         .drop_down_menu li a {
//                             padding: 0px;
//                             font-size: 14px;
//                         }
//                         .drop_down_menu {
//                             width: 93px;
//                         }
//                         .drop_down_menu li {
//                             overflow: visible;
//                             width: 93px;
//                         }
//                         .drop_down_menu, .drop_down_normal {
//                             padding-top: 10px;
//                             padding-bottom: 8px;
//                         }
//                         a:hover {
//                         color:#1A0B00 !important;
//                         }
//                         `}</style>
// 		{this.props.isAdmin()? <li className="li_line drop_down fr color-blue font-16 mr8 mt20" style={{"padding":"0 20px"}}>
// 			导出<i className="iconfont icon-xiajiantou font-12 ml2"></i>
// 			<ul className="drop_down_menu" style={{"right":"-0px","left":"unset","height":"auto"}}>
// 				<li><a onClick={()=>this.confirmysl(`/zip/shixun_report?homework_common_id=${this.props.match.params.homeworkid}&work_status=${this.state.course_groupyslstwo}&course_group=${this.state.checkedValuesineinfo}&search=${this.state.searchtext}`)}>实训报告</a></li>
// 				<li><a onClick={()=>this.confirmysl(`/homework_commons/${this.props.match.params.homeworkid}/works_list.xlsx?group_id=${this.state.checkedValuesineinfo}&search=${this.state.searchtext}`)} >学生成绩</a></li>
//
// 			</ul>
// 		</li>:""}
// 		{this.props.isAdmin() ?
// 			teacherdata && teacherdata.end_immediately === true ?
// 				<a className="fr color-blue font-16" onClick={this.homeworkends}>立即截止</a>
// 				: ""
// 			: ""}
// 		{this.props.isAdmin() ?
// 			teacherdata && teacherdata.publish_immediately === true ?
// 				<a className="fr color-blue font-16" onClick={this.homeworkstart}>立即发布</a>
// 				: ""
// 			: ""}
// 		{this.props.isAdmin() ?
// 			teacherdata && teacherdata.code_review === true ?
// 				<a className="fr color-blue font-16" onClick={this.workshowmodel}>代码查重</a>
// 				: "": ""}
{/*	</div>*/}
{/*</div>*/}
